<template>
  <aside class="c-popup c-popup-confirmation">
    <div class="c-popup-confirmation__content">
      <h2 v-if="title" class="c-popup-confirmation__title">{{ title }}</h2>

      <div
        v-if="descriptions && descriptions.length"
        class="c-popup-confirmation__paragraph-wrapper"
      >
        <p
          v-for="(d, index) in descriptions"
          :key="`${index}_${d.popup_description_text}`"
          class="c-paragraph"
        >
          {{ d.popup_description_text }}
        </p>
      </div>

      <div class="c-popup-confirmation__actions">
        <Button :text="buttonText" @clicked="clicked" />
      </div>
    </div>

    <button type="button" @click="close" class="c-popup-confirmation__close">
      <i class="icon" />
    </button>
  </aside>
</template>

<script>
import Button from "../ui/Button";
export default {
  name: "PopupConfirmation",
  components: {
    Button
  },
  props: {
    title: {
      type: String
    },
    descriptions: {
      type: Array
    },
    buttonText: {
      type: String
    }
  },
  methods: {
    clicked() {
      this.$emit("clicked");
    },
    close() {
      this.$emit("close");
    }
  }
};
</script>

<style lang="scss">
.c-popup-confirmation {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  background-color: rgba(31, 34, 37, 0.8);

  &__content {
    @include absolute(center);
    width: 100%;
    height: 100%;
    text-align: center;
    background-color: $c-gray-primary;
    padding: 6rem 2.5rem;

    @include breakpoint(overPhone) {
      max-width: 93rem;
      height: auto;
      padding: 10rem 12rem 6rem;
    }
  }

  &__title {
    font-size: 4.2rem;
    line-height: 5.4rem;
    font-weight: $fw-bold;
    color: $c-brand-primary;
    margin-bottom: 4rem;

    @include breakpoint(overPhone) {
      margin-bottom: 5rem;
    }
  }

  &__paragraph-wrapper {
    margin-bottom: 5.5rem;

    .c-paragraph {
      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }

  &__actions {
    display: flex;
    justify-content: center;

    .c-button {
      @include breakpoint(overPhone) {
        padding-right: 5rem;
        padding-left: 5rem;
      }
    }
  }

  &__close {
    position: absolute;
    top: 1rem;
    right: 1rem;

    @include breakpoint(overPhone) {
      top: 4rem;
      right: 4rem;
    }

    .icon {
      @include close(3rem, 3px, $c-brand-primary);
      @include breakpoint(overPhone) {
        @include close(4rem, 3px, $c-white);
      }
    }
  }
}
</style>
